Hardware Locality (hwloc) 2.11.2

Data Structures | Typedefs | Enumerations
Components and Plugins: Generic components

## Data Structures
struct | hwloc_component

## Typedefs
typedef enum hwloc_component_type_e | hwloc_component_type_t

## Enumerations
enum | hwloc_component_type_e { HWLOC_COMPONENT_TYPE_DISC , HWLOC_COMPONENT_TYPE_XML }

## Detailed Description

Note
  These structures and functions may change when HWLOC_COMPONENT_ABI is modified.

## Typedef Documentation

## ◆ hwloc_component_type_t

typedef enum hwloc_component_type_e hwloc_component_type_t

Generic component type.

## Enumeration Type Documentation

## ◆ hwloc_component_type_e

enum hwloc_component_type_e

Generic component type.

Enumerator
HWLOC_COMPONENT_TYPE_DISC | The data field must point to a struct hwloc_disc_component.
HWLOC_COMPONENT_TYPE_XML | The data field must point to a struct hwloc_xml_component.